Bug 748657 - Empty <productversion> causes install_book to fail silently.
Empty <productversion> causes install_book to fail silently.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.8
Unspecified Unspecified
unspecified Severity high
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 22:44 EDT by eric@christensenplace.us
Modified: 2012-10-30 23:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2011-10-24 22:44:37 EDT
Description of problem: Empty <productversion> causes install_book to fail silently.  Adding <productversion>, or "version:" in publican.cfg, fixes the problem.

Version-Release number of selected component (if applicable): 2.8-1.fc16

Additional Information: Also seen in fc15 version as well.
Comment 1 Jeff Fearn 2012-03-13 02:22:56 EDT
This error should be caught much sooner. Improved constraint validation.

Pushed To ssh://git.fedorahosted.org/git/publican.git
   9b37295..55c8a86  master -> master
Comment 2 Michael Hideo 2012-06-07 21:47:58 EDT
stand up publican website, get a book, remove product version from bookinfo file, build book, then install the book on the website. verify the book does not install and you get an error std out.
Comment 3 Dan Macpherson 2012-06-15 22:01:27 EDT
Empty <productversion> no longer silent. Received error message for empty <productversion>:

Invalid format for version. Value (EMPTY) does not conform to constraint (^[0-9]) at /usr/bin/publican line 634

Setting to VERIFIED.
Comment 4 Dan Macpherson 2012-06-16 00:53:42 EDT
^^ Checked publican-3.0-0.fc17.t180.noarch on Fedora 17

Note You need to log in before you can comment on or make changes to this bug.